Subject: Re: bug#62606: [PATCH] function to align mode-line elements to right

From: João Távora <[email-masked]>
Date: Sun, 21 Jan 2024 10:39:51 +0000

On Sun, Jan 21, 2024 at 10:28 AM Eli Zaretskii <[email-masked]> wrote:
>
> > From: João Távora <[email-masked]>
> > Date: Sun, 21 Jan 2024 10:20:46 +0000
> > Cc: [email-masked], [email-masked], [email-masked]
> >
> > On Sun, Jan 21, 2024 at 10:12 AM Eli Zaretskii <[email-masked]> wrote:
> >
> > > Thanks, but I don't want to expose the tail of the mode-line to Lisp,
> > > let alone do it on every iteration through mode-line-format.
> >
> > Why?
>
> Because I have more than enough gray hair from debugging and fixing
> problems related to this stuff, including the
> mode-line-format-right-align itself and the issues it causes.  I was
> (mildly) against installing this feature, for the same reason, and I
> certainly won't agree to let this particular tail to wag the dog any
> more than it already has.  It's bad enough to have a non-trivial
> display feature that is not maintained by anyone; adding more features
> to it is really too much.

Right.  But any technical arguments?

What's the difference between solving this in Lisp, which you
would accept, and solving this in C+Lisp?  It's a two line change
like a zillion others just one of the lines happens to be
a single assignment in C.

I can offer to maintain this feature, or the whole display_mode_element
& friends.  Any other grey-hair inducing outstanding bugs (apart from this
one I've found).

João